"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTable = exports.createCommand = void 0;
function createCommand(component, props, ...children) {
    return new component(Object.assign(Object.assign({}, props), { children }));
}
exports.createCommand = createCommand;
function createTable(list) {
    const counts = list.reduce((counts, row) => {
        row.forEach((column, index) => {
            if (index + 1 < row.length)
                counts[index] = Math.max(counts[index], column.length);
        });
        return counts;
    }, Array(list[0].length).fill(0));
    return list
        .map(row => row
        .map((column, index) => column.padEnd(counts[index], ' '))
        .join('  '))
        .join('\n');
}
exports.createTable = createTable;
